Update canvas
curl --request PUT \
--url https://api.vantage.sh/v2/canvases/{canvas_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"prompt": "<string>"
}
'import requests
url = "https://api.vantage.sh/v2/canvases/{canvas_token}"
payload = {
"title": "<string>",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', prompt: '<string>'})
};
fetch('https://api.vantage.sh/v2/canvases/{canvas_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "cnvs_abcd1234567890",
"title": "Weekly Spend by Team",
"prompt": "<string>",
"workspace_token": "wrkspc_abcd1234567890",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"data": {
"table": {},
"error": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Canvases
Update canvas
Update a Canvas.
PUT
/
canvases
/
{canvas_token}
Update canvas
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Canvas model
Example:
"cnvs_abcd1234567890"
The title of the Canvas.
Example:
"Weekly Spend by Team"
The prompt used to generate the Canvas.
The token for the Workspace the Canvas belongs to.
Example:
"wrkspc_abcd1234567890"
The date and time, in UTC, the Canvas was created. ISO 8601 Formatted.
Example:
"2024-01-01T00:00:00Z"
The date and time, in UTC, the Canvas was last updated. ISO 8601 Formatted.
Example:
"2024-01-01T00:00:00Z"
Show child attributes
Show child attributes
⌘I